package com.fs.qywx.mapper;

import java.util.List;
import com.fs.qywx.domain.QywxCustomUser;

/**
 * 企业微信客户Mapper接口
 * 
 * @author fs
 * @date 2023-08-02
 */
public interface QywxCustomUserMapper 
{
    /**
     * 查询企业微信客户
     * 
     * @param id 企业微信客户主键
     * @return 企业微信客户
     */
    public QywxCustomUser selectQywxCustomUserById(Long id);

    /**
     * 查询企业微信客户列表
     * 
     * @param qywxCustomUser 企业微信客户
     * @return 企业微信客户集合
     */
    public List<QywxCustomUser> selectQywxCustomUserList(QywxCustomUser qywxCustomUser);

    /**
     * 新增企业微信客户
     * 
     * @param qywxCustomUser 企业微信客户
     * @return 结果
     */
    public int insertQywxCustomUser(QywxCustomUser qywxCustomUser);

    /**
     * 修改企业微信客户
     * 
     * @param qywxCustomUser 企业微信客户
     * @return 结果
     */
    public int updateQywxCustomUser(QywxCustomUser qywxCustomUser);

    /**
     * 删除企业微信客户
     * 
     * @param id 企业微信客户主键
     * @return 结果
     */
    public int deleteQywxCustomUserById(Long id);

    /**
     * 批量删除企业微信客户
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQywxCustomUserByIds(Long[] ids);
}
